Bug 42298

Summary: new-port: games/dmjava - a really authentic Dungeon Master clone
Product: Ports & Packages Reporter: Oliver Lehmann <lehmann>
Component: Individual Port(s)Assignee: Tilman Keskinoz <arved>
Status: Closed FIXED    
Severity: Affects Only Me CC: lehmann
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
dmjava.shar none

Description Oliver Lehmann 2002-09-01 22:30:01 UTC
Dungeon Master Java is a remake of the classic FTL game Dungeon Master.
It is written entirely in Java, and is designed to run as a stand-alone
application rather than an applet in a web browser. It has high-resolution
graphics that simulate a 3D environment. Most of the graphics are rendered
in the free ray-tracer Pov-Ray. Item graphics and character portraits are
done by hand with a paint program, though many are simply taken from the
original and its sequels and touched-up.

Gameplay is very similar to the original, with real-time action, 90-degree
turns, and step-by-step movement. One major change from the original is that
monsters are not "stuck" in groups: they are completely free to wander,
sometimes occupying a square with other monsters and sometimes not.
Comment 1 Oliver Lehmann 2002-09-01 22:50:58 UTC
Oliver Lehmann wrote:

> --- dmjava.shar begins here ---

Ooops... I didn't took care about the size. I'm sorry about the forgotten
tar+uuencode

  Greetings, Oliver
-- 
Oliver Lehmann, lehmann@ans-netz.de, http://www.pofo.de/
  http://wishlist.pofo.de/
Comment 2 Oliver Lehmann 2002-10-21 14:02:07 UTC
Hi,

no old Dungeon Master "Freaks" here?  Can't belive that. Or why does the
port not get comitted? If somebody think "uh, it's not the latest dmjava
version" then let me explain: It's the last version which works with our
native JDK 1.3. All newer dmjava versions are requiring JDK 1.4 (And I'm
not willing to install the linux emulation on my system ;)

Greetings, Oliver

-- 
Oliver Lehmann, lehmann@ans-netz.de, http://www.pofo.de/
  http://wishlist.pofo.de/
Comment 3 Tilman Keskinoz freebsd_committer 2003-01-20 15:49:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->arved

I will handle this.
Comment 4 Tilman Keskinoz freebsd_committer 2003-01-22 10:55:06 UTC
State Changed
From-To: open->closed

Committed, thanks